clang-tools 10.0.0

Classes | Namespaces | Functions | Variables
TUScheduler.cpp File Reference
`#include "TUScheduler.h"`
`#include "Cancellation.h"`
`#include "Compiler.h"`
`#include "Context.h"`
`#include "Diagnostics.h"`
`#include "GlobalCompilationDatabase.h"`
`#include "Logger.h"`
`#include "ParsedAST.h"`
`#include "Preamble.h"`
`#include "Trace.h"`
`#include "index/CanonicalIncludes.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/ScopeExit.h"`
`#include "llvm/Support/Errc.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/Threading.h"`
`#include <algorithm>`
`#include <memory>`
`#include <queue>`
`#include <thread>`
Include dependency graph for TUScheduler.cpp:

Go to the source code of this file.

## Classes
class | clang::clangd::TUScheduler::ASTCache
| An LRU cache of idle ASTs. More...
struct | clang::clangd::TUScheduler::FileData

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
unsigned | clang::clangd::getDefaultAsyncThreadsCount ()
| Returns a number of a default async threads to use for TUScheduler. More...

## Variables
static clang::clangd::Key< std::string > | clang::clangd::kFileBeingProcessed

## Variable Documentation

## ◆ Action

llvm::unique_function<void()> Action

Definition at line 234 of file TUScheduler.cpp.

Referenced by clang::clangd::ClangdServer::applyTweak(), clang::clangd::ClangdServer::documentLinks(), clang::clangd::ClangdServer::documentSymbols(), clang::clangd::ClangdServer::dumpAST(), clang::clangd::ClangdServer::enumerateTweaks(), clang::clangd::ClangdServer::findDocumentHighlights(), clang::clangd::ClangdServer::findHover(), clang::clangd::ClangdServer::findReferences(), clang::clangd::ClangdServer::locateSymbolAt(), main(), clang::clangd::ClangdServer::prepareRename(), clang::clangd::ClangdServer::rename(), clang::clangd::TUStatus::render(), clang::clangd::TUScheduler::run(), clang::clangd::AsyncTaskRunner::runAsync(), clang::clangd::runAsync(), clang::clangd::TUScheduler::runWithAST(), clang::clangd::TUScheduler::runWithPreamble(), clang::clangd::ClangdServer::semanticRanges(), clang::clangd::ClangdServer::signatureHelp(), clang::clangd::ClangdServer::switchSourceHeader(), clang::clangd::ClangdServer::symbolInfo(), clang::clangd::ClangdServer::typeHierarchy(), clang::clangd::AsyncTaskRunner::wait(), and clang::clangd::ParsedAST::~ParsedAST().

## ◆ AddTime

steady_clock::time_point AddTime

Definition at line 236 of file TUScheduler.cpp.

## ◆ Ctx

Context Ctx

Definition at line 237 of file TUScheduler.cpp.

Referenced by clang::clangd::findDecl(), clang::tidy::bugprone::findMockedMethod(), clang::clangd::SymbolCollector::initialize(), clang::clangd::printNamespaceScope(), clang::clangd::TUScheduler::run(), clang::clangd::runAsync(), and clang::clangd::TEST().

## ◆ Name

std::string Name

Definition at line 235 of file TUScheduler.cpp.

## ◆ UpdateType

llvm::Optional<WantDiagnostics> UpdateType

Definition at line 238 of file TUScheduler.cpp.